<?php



use Illuminate\Support\Facades\Route;



/*

|--------------------------------------------------------------------------

| Web Routes

|--------------------------------------------------------------------------

|

| Here is where you can register web routes for your application. These

| routes are loaded by the RouteServiceProvider within a group which

| contains the "web" middleware group. Now create something great!

|

*/

Route::get('command:clear', function() {

    Artisan::call('cache:clear');

    Artisan::call('optimize:clear');

    Artisan::call('view:clear');

    Artisan::call('config:cache');

    return "config, cache, and view cleared successfully";

});



  Route::get('cash_receipt/recipt_pdf_share', 'CashReceiptController@recipt_pdf_share')->name('cash_receipt.recipt_pdf_share');

Route::get('command:config', function() {

    Artisan::call('config:cache');

    return "config cache successfully";

});



Route::get('command:key', function() {

    Artisan::call('key:generate');

    return "Key generate successfully";

});



Route::get('command:migrate', function() {

    Artisan::call('migrate:refresh');

    return "Database migration generated";

});



Route::get('command:seed', function() {

    Artisan::call('db:seed');

    return "Database seeding generated";

});





Route::group(['middleware' => ['prevent-back-history', 'mail-service']], function(){

    Route::group(['middleware' => ['guest']], function () {

        Route::get('/', 'AuthController@login')->name('login');

        Route::post('signin', 'AuthController@signin')->name('signin');

    Route::get('/login', 'LoginController@showLoginForm')->name('vendorlogin');

        Route::post('vendorsignin', 'LoginController@vendorsignin')->name('vendorsignin');

        Route::get('forgot-password', 'AuthController@forgot_password')->name('forgot.password');

        Route::post('password-forgot', 'AuthController@password_forgot')->name('password.forgot');

        Route::get('reset-password/{string}', 'AuthController@reset_password')->name('reset.password');

        Route::post('recover-password', 'AuthController@recover_password')->name('recover.password');

    });
    
    Route::get('/back-to-login', function () {
        session()->forget([
            'show_otp',
            'otp_request_id',
            'login_email'
        ]);
    
        return redirect()->route('login');
    })->name('otp.back.to.login');



    Route::group(['middleware' => ['auth']], function () {

        Route::get('logout', 'AuthController@logout')->name('logout');



        Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
        Route::get('dashboard/model_wise_inventory_chart', 'DashboardController@model_wise_inventory_chart')->name('model_wise_inventory_chart');
        Route::get('dashboard/fuel_type_inventory_chart', 'DashboardController@fuel_type_inventory_chart')->name('fuel_type_inventory_chart');
        Route::get('dashboard/inventory_type_chart', 'DashboardController@inventory_type_chart')->name('inventory_type_chart');
        Route::get('dashboard/branches_wise_obf_chart', 'DashboardController@branches_wise_obf_chart')->name('branches_wise_obf_chart');
        Route::get('dashboard/car_model_wise_obf_chart', 'DashboardController@car_model_wise_obf_chart')->name('car_model_wise_obf_chart');
        Route::get('dashboard/fuel_type_obf_chart', 'DashboardController@fuel_type_obf_chart')->name('fuel_type_obf_chart');
        Route::get('dashboard/car_wise_inventory_chart', 'DashboardController@car_wise_inventory_chart')->name('car_wise_inventory_chart');
        Route::get('dashboard/branches_wise_bar_chart', 'DashboardController@branches_wise_bar_chart')->name('branches_wise_bar_chart');
        Route::get('dashboard/obf_pie_chart', 'DashboardController@obf_pie_chart')->name('obf_pie_chart');

        

    





      

       

        Route::get('allReport','DashboardController@allReport')->name('allReport');

        Route::get('allReport/vinReport','DashboardController@vinReport')->name('vinReport');

        Route::post('allReport/vinReport/fetch','DashboardController@vinReportfetch')->name('vinReportfetch');

        // Route::get('allReport/vinReport/show/{id}','DashboardController@vinReportshow')->name('vinReportshow');

        Route::get('allReport/ModelReport','DashboardController@ModelReport')->name('ModelReport');
        Route::post('allReport/ModelReport/fetch','DashboardController@ModelReportFetch')->name('ModelReportFetch');
        Route::get('allReport/ModelReport/modelExport/{slug?}','DashboardController@modelExport')->name('modelExport');
        
        Route::get('allReport/getPieChart','DashboardController@getPieChart')->name('model.getPieChart');
        
        
        Route::get('allReport/SalesReport','DashboardController@SalesReport')->name('SalesReport');
        Route::get('allReport/SalesReport/fetch','DashboardController@SalesReportFetch')->name('SalesReportFetch');
        Route::post('allReport/SalesReport/fetch','DashboardController@SalesReportFetch')->name('SalesReportFetch');
        Route::get('allReport/SalesReport/salesExport/{slug?}','DashboardController@salesExport')->name('salesExport');
        
        Route::get('allReport/BookingReport','DashboardController@BookingReport')->name('BookingReport');
        Route::get('allReport/BookingReport/fetch','DashboardController@BookingReportFetch')->name('BookingReportFetch');
        Route::post('allReport/BookingReport/fetch','DashboardController@BookingReportFetch')->name('BookingReportFetch');
        Route::get('allReport/BookingReport/bookingreportExport/{slug?}','DashboardController@bookingreportExport')->name('bookingreportExport');
        
        Route::get('allReport/BookingRetailReport','DashboardController@BookingRetailReport')->name('BookingRetailReport');
        Route::post('allReport/BookingRetailReport/fetch','DashboardController@BookingRetailReportFetch')->name('BookingRetailReportFetch');
        Route::get('allReport/MunicipleTaxReport','DashboardController@MunicipleTaxReport')->name('MunicipleTaxReport');
        Route::post('allReport/MunicipleTaxReport/fetch','DashboardController@MunicipleTaxReportFetch')->name('MunicipleTaxReportFetch');
        Route::get('allReport/MunicipleTaxReport/municipletaxExport/{slug?}','DashboardController@municipletaxExport')->name('municipletaxExport');
        Route::get('allReport/PurchaseReport','DashboardController@PurchaseReport')->name('PurchaseReport');

        Route::post('allReport/PurchaseReport/fetch','DashboardController@PurchaseReportfetch')->name('PurchaseReportfetch');
        Route::get('allReport/PurchaseReport/purchaseExport/{slug?}','DashboardController@purchaseExport')->name('purchaseExport');

        Route::get('allReport/VarientReport','DashboardController@VarientReport')->name('VarientReport');

        Route::get('allReport/RsaReport','DashboardController@RsaReport')->name('RsaReport');
        Route::get('allReport/RsaReport/RSAExport/{slug?}','DashboardController@RSAExport')->name('RSAExport');
        
        Route::get('allReport/CcsReport','DashboardController@CcsReport')->name('CcsReport');
        Route::get('allReport/CcsReport/CcsExport/{slug?}','DashboardController@CcsExport')->name('CcsExport');

        Route::get('allReport/McpReport','DashboardController@McpReport')->name('McpReport');
        Route::get('allReport/McpReport/MCPExport/{slug?}','DashboardController@MCPExport')->name('MCPExport');

        Route::get('allReport/EwReport','DashboardController@EwReport')->name('EwReport');
        Route::get('allReport/EwReport/EWExport/{slug?}','DashboardController@EWExport')->name('EWExport');

        Route::get('allReport/TaregetReport','DashboardController@TaregetReport')->name('TaregetReport');

        Route::get('allReport/AgainDayReport','DashboardController@AgainDayReport')->name('AgainDayReport');

        Route::get('allReport/InventoryReport','DashboardController@InventoryReport')->name('InventoryReport');
        Route::get('allReport/InventoryReport/InventoryExport/{slug?}','DashboardController@InventoryExport')->name('InventoryExport');
        
        Route::get('allReport/DemoInventoryReport','DashboardController@DemoInventoryReport')->name('DemoInventoryReport');
        Route::post('inventory/getDemoInventory','DashboardController@getDemoInventory')->name('getDemoInventory');
        Route::get('allReport/DemoInventoryReport/DemoInventoryExport/{slug?}','DashboardController@DemoInventoryExport')->name('DemoInventoryExport');

        Route::get('allReport/TeamReport','DashboardController@TeamReport')->name('TeamReport');
        Route::post('allReport/TeamReport/fetch', 'DashboardController@TeamReportFetch')->name('TeamFetchReport');
        Route::get('allReport/TeamReport/TeamExport/{slug?}','DashboardController@TeamExport')->name('TeamExport');
        Route::get('allReport/UserReport', 'DashboardController@UserReport')->name('UserReport');
        Route::post('allReport/UserReport/fetch', 'DashboardController@UserReportFetch')->name('UserFetchReport');
        Route::get('allReport/UserReport/UserExport/{slug?}','DashboardController@UserExport')->name('userExport');

        
        Route::get('allReport/OfferReport','DashboardController@OfferReport')->name('OfferReport');

        Route::get('allReport/BranchReport','DashboardController@BranchReport')->name('BranchReport');

        Route::get('allReport/FualtypeReport','DashboardController@FualtypeReport')->name('FualtypeReport');

        Route::get('allReport/TranssimissionReport','DashboardController@TranssimissionReport')->name('TranssimissionReport');

        Route::get('allReport/ColourReport','DashboardController@ColourReport')->name('ColourReport');

        Route::get('allReport/RTOReport','DashboardController@RTOReport')->name('RTOReport');
        Route::get('allReport/RTOReport/RTOExport/{slug?}','DashboardController@RTOExport')->name('RTOExport');
        Route::get('allReport/CustomerReport','DashboardController@CustomerReport')->name('CustomerReport');

        Route::get('allReport/TransferReport','DashboardController@TransferReport')->name('TransferReport');
        Route::get('allReport/TransferReport/TransferExport/{slug?}','DashboardController@TransferExport')->name('transferExport');

        Route::get('allReport/InsuranceReport','DashboardController@InsuranceReport')->name('InsuranceReport');
        Route::post('allReport/InsuranceReport/fetch','DashboardController@InsuranceFetchReport')->name('InsuranceFetchReport');
        Route::get('allReport/InsuranceReport/InsuranceExport/{slug?}','DashboardController@InsuranceExport')->name('insuranceExport');
        Route::get('allReport/FinanceReport','DashboardController@FinanceReport')->name('FinanceReport');
        Route::post('allReport/FinanceReport/fetch','DashboardController@FinanceReportFetch')->name('FinanceReportFetch');
        Route::get('allReport/FinanceReport/FinanceExport/{slug?}','DashboardController@FinanceExport')->name('financeExport');
        
        Route::get('allReport/StatusReport','DashboardController@StatusReport')->name('StatusReport');
        Route::post('allReport/StatusReport/fetch','DashboardController@StatusReportFetch')->name('StatusReportFetch');
        Route::get('allReport/StatusReport/StatusExport/{slug?}','DashboardController@statuswiseExport')->name('statuswiseExport');
        Route::get('getStatusCounts', 'DashboardController@getStatusCounts')->name('getStatusCounts');
        Route::get('allReport/daybookReport','DashboardController@DayBookReport')->name('DayBookReport');
        Route::get('allReport/daybookReport/fetch','DashboardController@DayBookReportFetch')->name('DayBookReportFetch');
        Route::post('allReport/daybookReport/fetch','DashboardController@DayBookReportFetch')->name('DayBookReportFetch');
        
        Route::post('allReport/daybookReport/daybook-export', 'DashboardController@daybookExport')->name('daybookExport');
        Route::get('allReport/daybookReport/daybook-export/download/{id}', 'DashboardController@downloadExportFile')->name('daybook.export.download');

        
        Route::get('allReport/CashReceiptReport','DashboardController@CashReceiptReport')->name('CashReceiptReport');
        Route::get('allReport/CashReceiptReport/fetch','DashboardController@CashReceiptReportFetch')->name('CashReceiptReportFetch');
        Route::get('allReport/CashReceiptReport/CashReceiptExport/{slug?}','DashboardController@CashReceiptExport')->name('cashreceiptExport');
        
        Route::get('allReport/CancelReasonReport','DashboardController@CancelReasonReport')->name('CancelReasonReport');
        Route::post('allReport/CancelReasonReport/fetch','DashboardController@CancelReasonReportFetch')->name('CancelReasonReportFetch');
        Route::get('allReport/CancelReasonReport/CancelReasonReportExport/{slug?}','DashboardController@CancelReasonReportExport')->name('CancelReasonReportExport');
        
        Route::get('allReport/MakeDealReport','DashboardController@MakeDealReport')->name('MakeDealReport');
        Route::post('allReport/MakeDealReport/fetch','DashboardController@MakeDealReportFetch')->name('MakeDealReportFetch');
        Route::get('allReport/ObfReport','DashboardController@ObfReport')->name('ObfReport');
        Route::post('allReport/ObfReport/fetch','DashboardController@ObfReportFetch')->name('ObfReportFetch');
        Route::get('allReport/ObfReport/ObfReportExport/{slug?}','DashboardController@ObfReportExport')->name('ObfReportExport');
        
        Route::get('allReport/YettodeliveryReport','DashboardController@yettodeliveryReport')->name('yettodeliveryReport');
        Route::post('allReport/YettodeliveryReport/fetch','DashboardController@yettodeliveryReportfetch')->name('yettodeliveryReportfetch');
        Route::get('allReport/YettodeliveryReport/YettodeliveryReportExport/{slug?}','DashboardController@YettodeliveryReportExport')->name('YettodeliveryReportExport');
        
        Route::get('allReport/customeroutstanding','DashboardController@customeroutstanding')->name('customeroutstanding');
        Route::post('allReport/customeroutstanding/fetch','DashboardController@customeroutstandingfetch')->name('customeroutstandingfetch');
        Route::get('allReport/customeroutstanding/customeroutstandingExport/{slug?}','DashboardController@customeroutstandingExport')->name('customeroutstandingExport');
        Route::get('allReport/BookingAdanceReport','DashboardController@BookingAdanceReport')->name('BookingAdanceReport');
        Route::get('allReport/SalesMisReport','DashboardController@SalesMisReport')->name('SalesMisReport');
        Route::get('allReport/MisReport','DashboardController@MisReport')->name('MisReport');
        
        Route::post('allReport/MisReport/get-car-details','DashboardController@getCarDetails')->name('Cardetails');
        Route::post('allReport/MisReport/get-car-details/export-car-details','DashboardController@exportCarDetails')->name('Cardetails.export');
        
        Route::get('allReport/MisReport/get-booking-details', 'DashboardController@getBookingDetails')->name('Bookingdetails');
        Route::post('allReport/MisReport/get-booking-details/export-booking-details','DashboardController@exportBookingDetails')->name('Bookingdetails.export');
        
        Route::get('allReport/refundReport','DashboardController@refundReport')->name('refundReport');
        Route::post('allReport/refundReport/fetch','DashboardController@refundReportfetch')->name('refundReportfetch');
        Route::get('allReport/refundReport/refundReportExport/{slug?}','DashboardController@refundReportExport')->name('refundReportExport');
        
        Route::get('allReport/deliveryReport','DashboardController@deliveryReport')->name('deliveryReport');
        Route::post('allReport/deliveryReport/fetch','DashboardController@deliveryReportfetch')->name('deliveryReportfetch');
        Route::get('allReport/deliveryReport/deliveryReportExport/{slug?}','DashboardController@deliveryReportExport')->name('deliveryReportExport');
        
        Route::get('allReport/PPCReport','DashboardController@PPCReport')->name('PPCReport');
        Route::get('allReport/PPCReport/fetch','DashboardController@PPCReportFetch')->name('PPCReportFetch');
        Route::post('allReport/PPCReport/fetch','DashboardController@PPCReportFetch')->name('PPCReportFetch');
        
        /** access control */

            /** role */

                Route::any('role', 'RoleController@index')->name('role');

                Route::get('role/create', 'RoleController@create')->name('role.create');

                Route::post('role/insert', 'RoleController@insert')->name('role.insert');

                Route::get('role/edit', 'RoleController@edit')->name('role.edit');

                Route::patch('role/update/{id?}', 'RoleController@update')->name('role.update');

                Route::get('role/view', 'RoleController@view')->name('role.view');

                Route::post('role/delete', 'RoleController@delete')->name('role.delete');

            /** role */



            /** permission */

                Route::any('permission', 'PermissionController@index')->name('permission');

                Route::get('permission/create', 'PermissionController@create')->name('permission.create');

                Route::post('permission/insert', 'PermissionController@insert')->name('permission.insert');

                Route::get('permission/edit', 'PermissionController@edit')->name('permission.edit');

                Route::patch('permission/update/{id?}', 'PermissionController@update')->name('permission.update');

                Route::get('permission/view', 'PermissionController@view')->name('permission.view');

                Route::post('permission/delete', 'PermissionController@delete')->name('permission.delete');

            /** permission */



            /** access */

                Route::any('access_permission', 'AccessController@index')->name('access_permission');

                Route::get('access_permission/edit', 'AccessController@edit')->name('access_permission.edit');

                Route::patch('access_permission/update/{id?}', 'AccessController@update')->name('access_permission.update');

                Route::get('access_permission/view', 'AccessController@view')->name('access_permission.view');

            /** access */

        /** access control */

        

        /** users */

            Route::any('user', 'UserController@index')->name('user');

            Route::get('user/create', 'UserController@create')->name('user.create');

            Route::post('user/insert', 'UserController@insert')->name('user.insert');

            Route::get('user/view/{id?}', 'UserController@view')->name('user.view');

            Route::get('user/edit/{id?}', 'UserController@edit')->name('user.edit');

            Route::get('user/team_transfer/{id?}', 'UserController@team_transfer')->name('user.team_transfer');

            Route::any('user/trash', 'UserController@Trash')->name('user.trash');

            Route::patch('user/update', 'UserController@update')->name('user.update');

            Route::patch('user/update_team_transfer', 'UserController@update_team_transfer')->name('user.update_team_transfer');

            Route::post('user/change-status', 'UserController@change_status')->name('user.change.status');

            Route::post('users/exel_import','UserController@exel_import')->name('user.exel_import');

            Route::post('users/import','UserController@import')->name('user.import');

            Route::get('users/export/{slug?}','UserController@export')->name('user.export');

            

            Route::post('user/permenant-remove', 'UserController@Permenant_delete')->name('user.permenant.remove');
            
            Route::get('user/get-department-wise-data','UserController@getDepartmentWiseData')->name('user.get-department-wise-data');

        /** users */

        

        /** Order Booking Fourm (OBF) */

            Route::any('obf', 'ObfController@index')->name('obf');
            
            Route::get('obf/get_obf_master_data', 'ObfController@get_obf_master_data')->name('obf.get_master_data');

            Route::get('obf/create', 'ObfController@create')->name('obf.create');

            Route::get('obf/carvarient/{id?}', 'ObfController@carvarient')->name('obf.carvarient');

            Route::get('obf/car_drop_down_get/{id?}', 'ObfController@car_drop_down_get')->name('obf.car_drop_down_get');

            Route::get('obf/sub_lead_html/{id?}', 'ObfController@sub_lead_html')->name('obf.sub_lead_html');

            Route::get('obf/color_select/{id?}', 'ObfController@color_select')->name('obf.color_select');

            Route::post('obf/insert', 'ObfController@insert')->name('obf.insert');

            Route::get('obf/view/{id?}', 'ObfController@view')->name('obf.view');

            Route::get('obf/edit/{id?}', 'ObfController@edit')->name('obf.edit');

            Route::get('obf/policy_view/{id?}', 'ObfController@policy_view')->name('obf.policy_view');

            Route::patch('obf/update', 'ObfController@update')->name('obf.update');

            Route::post('obf/change-status', 'ObfController@change_status')->name('obf.change_status');

            Route::post('obf/profile-remove', 'ObfController@obf_profile_remove')->name('obf.profile.remove');

            Route::post('obf/import','ObfController@import')->name('obf.import');

            Route::get('obf/export/{slug?}','ObfController@export')->name('obf.export');
            
            Route::post('obf/cancel', 'ObfController@cancel_obf')->name('obf.cancel');
            

            Route::get('obf/insurance/{id?}', 'ObfController@insuranceview')->name('obf.insurance');

            Route::get('obf/rto/{id?}', 'ObfController@rtoview')->name('obf.rto');

            Route::get('obf/fasttag/{id?}', 'ObfController@fasttagview')->name('obf.fasttag');



            Route::post('obf/product_data_get', 'ObfController@product_data_get')->name('obf.product_data_get');



            Route::post('obf/obf_validation', 'ObfController@obf_validation')->name('obf.obf_validation');

            Route::post('obf/obf_validation_step_two', 'ObfController@obf_validation_step_two')->name('obf.obf_validation_step_two');

            Route::get('obf/obf_print', 'ObfController@obf_print')->name('obf.obf_print');

            Route::post('obf/obf_search', 'ObfController@obf_search')->name('obf.obf_search');

            Route::get('obf/offer_asper_varient','ObfController@offer_asper_varient')->name('obf.offer_asper_varient');

            

            Route::get('obf/amount_asper_offer','ObfController@amount_asper_offer')->name('obf.amount_asper_offer');

            Route::get('obf/amount_asper_offer_ib','ObfController@amount_asper_offer_ib')->name('obf.amount_asper_offer_ib');

            Route::get('obf/obf_summary', 'ObfController@obf_summary')->name('obf.obf_summary');

            Route::get('obf/Ew/Process', 'ObfController@processew')->name('obf.processew');

            Route::post('obf/Ew/Process/dms', 'ObfController@processewdms')->name('obf.processewdms');

            Route::get('obf/Mcp/Process', 'ObfController@processmcp')->name('obf.processmcp');

            Route::post('obf/Mcp/Process/dms', 'ObfController@processmcpdms')->name('obf.processmcpdms');

            Route::get('obf/Rsa/Process', 'ObfController@processrsa')->name('obf.processrsa');

            Route::post('obf/Rsa/Process/dms', 'ObfController@processrsadms')->name('obf.processrsadms');
            
            Route::get('obf/Ccs/Process', 'ObfController@processccs')->name('obf.processccs');

            Route::post('obf/Ccs/Process/dms', 'ObfController@processccsdms')->name('obf.processccsdms');

            Route::get('obf/Fasttag/Process', 'ObfController@processfastag')->name('obf.processfasttag');

            Route::post('obf/Fasttag/Process/dms', 'ObfController@processfastagdms')->name('obf.processfasttagdms');
            
            Route::get('obf/MunicipleTax/Process', 'ObfController@processmuniciple')->name('obf.processmunicipletax');

            Route::post('obf/MunicipleTax/Process/dms', 'ObfController@processmunicipledms')->name('obf.processmunicipledms');
            
            Route::get('obf/Finance/Process', 'ObfController@processfinance')->name('obf.processfinance');

            Route::post('obf/Finance/Process/dms', 'ObfController@processfinancedms')->name('obf.processfinancedms');

            Route::get('obf/Yodepartment/Process', 'ObfController@processyodepartment')->name('obf.processyodepartment');

            Route::post('obf/Yodepartment/Process/dms', 'ObfController@processyodepartmentdms')->name('obf.processyodepartmentdms');

            Route::get('obf/Accesories/Process', 'ObfController@processaccesories')->name('obf.processaccesories');

            Route::post('obf/Accesories/Process/dms', 'ObfController@processaccesoriesdms')->name('obf.processaccesoriesdms');

            Route::get('obf/RTO/Process', 'ObfController@processrto')->name('obf.processrto');

            Route::post('obf/RTO/Process/dms', 'ObfController@processrtodms')->name('obf.processrtodms');
            
            Route::get('obf/Insurance/Process', 'ObfController@processinsurance')->name('obf.processinsurance');

            Route::post('obf/Insurance/Process/dms', 'ObfController@processinsurancedms')->name('obf.processinsurancedms');

            Route::get('getObfCounts', 'ObfController@getObfCounts')->name('getObfCounts');
            
            Route::get('obf/Make-deal/{id?}', 'ObfController@makedeal')->name('obf.make-deal');

            Route::post('obf/Make-deal/create', 'ObfController@makedealinsert')->name('obf.make-deal-create'); 
            
            Route::get('obf/undertaking-letter/', 'ObfController@undertaking')->name('obf.undertaking');
            
            Route::post('obf/liquidationprocess', 'ObfController@liquidationprocess')->name('obf.liquidationprocess');
            
            Route::get('obf/obf_deletation','ObfController@obf_deletation')->name('obf_deletation');
            
            Route::post('obf/obf_deletation_process', 'ObfController@obf_deletation_process')->name('obf_deletation_process');
            
            Route::get('obf/obf_accessory_form', 'ObfController@obf_accessory_form')->name('obf.obf_accessory_form');
            
            Route::post('obf/discount_process', 'ObfController@discount_process')->name('obf.discount_process');
            
            Route::get('obf/discount-process/{id?}', 'ObfController@discount_process_fetch')->name('obf.discount_process_fetch');
            
            Route::any('obf_discount_index', 'ObfController@obf_discount_index')->name('obf_discount_index');
            
            Route::post('/check-kec-discount-limit', 'ObfController@kec_discount_limit')->name('kec_discount_limit');


        /** Order Booking Fourm (OBF) */

        

        /** OBF Approval */

            Route::any('obf_approval', 'ObfApprovalController@index')->name('obf_approval');

            Route::get('obf_approval/view/{id?}', 'ObfApprovalController@view')->name('obf_approval.view');

            Route::post('obf_approval/change-status', 'ObfApprovalController@change_status')->name('obf_approval.change.status');

            

        /** OBF Approval */

        /** OBF Completed */

            Route::any('obf_completed', 'ObfCompletedController@index')->name('obf_completed');
            
            Route::post('obf_completed/change-status', 'ObfCompletedController@change_status')->name('obf_completed.change.status');
            
            // Route to preview PDF in browser
            Route::get('obf_completed/docket/preview/{id}', 'ObfCompletedController@preview')->name('docket.preview');
            
            // Route to download PDF
            Route::get('obf_completed/docket/download/{id}', 'ObfCompletedController@download')->name('docket.download');

            

        /** OBF Completed */


        /** sales */
        Route::any('sales', 'SalesController@index')->name('sales');
        Route::get('sales/create', 'SalesController@create')->name('sales.create');
         Route::post('sales/insert', 'SalesController@insert')->name('sales.insert');
         Route::get('sales/edit/{id?}', 'SalesController@edit')->name('sales.edit');
         Route::patch('sales/update', 'SalesController@update')->name('sales.update');
         Route::post('sales/change-status', 'SalesController@change_status')->name('sales.change.status');
        


        /** Sales Inquiry Form**/
        
         Route::any('sales', 'InquiryFormController@index')->name('form');
         
         Route::get('sales/create', 'InquiryFormController@create')->name('form.create');
         
         Route::post('sales/insert', 'InquiryFormController@insert')->name('form.insert');
         
         Route::get('sales/edit/{id?}', 'InquiryFormController@edit')->name('form.edit');
         
         Route::patch('sales/update', 'InquiryFormController@update')->name('form.update');
         
         Route::post('/sales/followup', 'InquiryFormController@assign')->name('form.followup');

         Route::post('sales/change-status', 'InquiryFormController@change_status')->name('form.change.status');
         
         /* Target Module */
         
         Route::any('target', 'TargetController@index')->name('target');
         
         Route::get('target/create', 'TargetController@create')->name('target.create');
         
         Route::post('target/insert', 'TargetController@insert')->name('target.insert');
         
         Route::get('target/edit/{id?}', 'TargetController@edit')->name('target.edit');
         
         Route::patch('target/update', 'TargetController@update')->name('target.update');
         
         Route::get('target/view/{id?}', 'TargetController@view')->name('target.view');
         
         Route::post('target/delete', 'TargetController@delete')->name('target.delete');
         
         Route::get('/get-teams/{branch_id}','TargetController@getTeams')->name('get.teams');
         
         Route::get('/get-kec/{team_id}','TargetController@getKecs')->name('get.kecs');
         
         Route::post('target/import','TargetController@import')->name('target.import');

         Route::get('target/export/{slug?}','TargetController@export')->name('target.export'); 
         
         
         
         

        /** OBF liqudation */

            Route::any('obf_liquidation', 'ObfLiquidationController@index')->name('liquidation');

            Route::get('obf_liquidation/view/{id?}', 'ObfLiquidationController@view')->name('liquidation.view');

            Route::get('obf_liquidation/process', 'ObfLiquidationController@process')->name('liquidation.process');
            
            Route::post('obf_liquidation/process/insert', 'ObfLiquidationController@process_insert')->name('liquidation.process.insert');
            
            Route::post('obf_liquidation/change-status', 'ObfLiquidationController@change_status')->name('liquidation.change.status');
            
            Route::get('obf_liquidation/refund_form', 'ObfLiquidationController@refund_form')->name('liquidation.refund_form');
            
            Route::get('obf_liquidation/cash_receipt', 'ObfLiquidationController@printReceipt')->name('liquidation.cash_receipt');
            
            Route::post('obf_liquidation/cheque-status/update', 'ObfLiquidationController@updateChequeStatus')->name('cheque.status.update');
            
            Route::get('obf_liquidation/viewlogs/{id}', 'ObfLiquidationController@viewlogs')->name('liquidation.viewlogs');


            

        /** OBF liqudation */







        

        /**OBF Pricelist */

            Route::post('obf/getpricelist', 'ObfController@getpricelist')->name('obf.getpricelist');

             Route::post('obf/rtolist', 'ObfController@rtolist')->name('obf.rtolist');

        /**OBF Pricelist */



        Route::any('settings', 'SettingsController@index')->name('settings');  

        Route::any('settings/update', 'SettingsController@update')->name('settings.update');  

        Route::any('settings/update/logo', 'SettingsController@update')->name('settings.update.logo');  





        /** Cash Receipt */

            Route::any('cash_receipt', 'CashReceiptController@index')->name('cash_receipt');  

            Route::get('cash_receipt/view/{id?}', 'CashReceiptController@view')->name('cash_receipt.view');

            Route::post('cash_receipt/change-status', 'CashReceiptController@change_status')->name('cash_receipt.change.status');

            Route::get('cash_receipt/create', 'CashReceiptController@create')->name('cash_receipt.create');

            Route::post('cash_receipt/insert', 'CashReceiptController@insert')->name('cash_receipt.insert');

            Route::get('cash_receipt/generate_cash_receipt', 'CashReceiptController@generate_cash_receipt')->name('cash_receipt.generate_cash_receipt');

             Route::get('cash_receipt/recipt_pdf', 'CashReceiptController@recipt_pdf')->name('cash_receipt.recipt_pdf');
            Route::get('cash_receipt/cash_receipt_summary', 'CashReceiptController@obf_summary')->name('cash_receipt.obf_summary');
             

            Route::post('obf/change_status_delete', 'CashReceiptController@change_status_delete')->name('cash_receipt.change_status_delete');

        /** Cash Receipt */



        /** Account Approval */

            Route::any('account_approval', 'AccountApprovalController@index')->name('account_approval');

            Route::get('account_approval/view/{id?}', 'AccountApprovalController@view')->name('account_approval.view');

            Route::post('account_approval/change-status', 'AccountApprovalController@change_status')->name('account_approval.change.status');

        /** Account Approval */



        /** product */

            Route::any('products', 'ProductController@index')->name('products');

            Route::get('products/create', 'ProductController@create')->name('products.create');

            Route::get('products/carvarient/{id?}', 'ProductController@carvarient')->name('products.carvarient');

            Route::post('products/insert', 'ProductController@insert')->name('products.insert');

            Route::get('products/view/{id?}', 'ProductController@view')->name('products.view');

            Route::get('products/edit/{id?}', 'ProductController@edit')->name('products.edit');

            Route::patch('products/update', 'ProductController@update')->name('products.update');

            Route::post('products/change-status', 'ProductController@change_status')->name('products.change.status');

            Route::post('products/import','ProductController@import')->name('products.import');

            Route::get('products/export/{slug?}','ProductController@export')->name('products.export');

        /** product */



        /** taxes */

            Route::any('tax', 'TaxesController@index')->name('tax');

            Route::get('tax/create', 'TaxesController@create')->name('tax.create');

            Route::post('tax/insert', 'TaxesController@insert')->name('tax.insert');

            Route::get('tax/view/{id?}', 'TaxesController@view')->name('tax.view');

            Route::get('tax/edit/{id?}', 'TaxesController@edit')->name('tax.edit');

            Route::patch('tax/update', 'TaxesController@update')->name('tax.update');

            Route::post('tax/change-status', 'TaxesController@change_status')->name('tax.change.status');

            Route::post('tax/import','TaxesController@import')->name('tax.import');

            Route::get('tax/export/{slug?}','TaxesController@export')->name('tax.export');

        /** taxes */



        /** insurance */

            Route::any('insurance', 'InsuranceController@index')->name('insurance');

            Route::get('insurance/create', 'InsuranceController@create')->name('insurance.create');

            Route::post('insurance/insert', 'InsuranceController@insert')->name('insurance.insert');

            Route::get('insurance/view/{id?}', 'InsuranceController@view')->name('insurance.view');

            Route::get('insurance/edit/{id?}', 'InsuranceController@edit')->name('insurance.edit');

            Route::patch('insurance/update', 'InsuranceController@update')->name('insurance.update');

            Route::post('insurance/change-status', 'InsuranceController@change_status')->name('insurance.change.status');

            Route::post('insurance/import','InsuranceController@import')->name('insurance.import');

            Route::get('insurance/export/{slug?}','InsuranceController@export')->name('insurance.export');

        /** insurance */

        

        /** rsa */

            Route::any('rsa', 'RSAController@index')->name('rsa');

            Route::get('rsa/create', 'RSAController@create')->name('rsa.create');

            Route::post('rsa/insert', 'RSAController@insert')->name('rsa.insert');

            Route::get('rsa/view/{id?}', 'RSAController@view')->name('rsa.view');

            Route::get('rsa/edit/{id?}', 'RSAController@edit')->name('rsa.edit');

            Route::patch('rsa/update', 'RSAController@update')->name('rsa.update');

            Route::post('rsa/change-status', 'RSAController@change_status')->name('rsa.change.status');

            Route::post('rsa/import','RSAController@import')->name('rsa.import');

            Route::get('rsa/export/{slug?}','RSAController@export')->name('rsa.export');
            Route::post('rsa/getRSA','DashboardController@getRSA')->name('getRSA');
            Route::post('rsa/getCCS','DashboardController@getCCS')->name('getCCS');
            Route::get('ccs/export/{slug?}','RSAController@ccsexport')->name('ccs.export');
        /** rsa */

        

        /** Occupation */

            Route::any('occupation', 'OccupationController@index')->name('occupation');

            Route::get('occupation/create', 'OccupationController@create')->name('occupation.create');

            Route::post('occupation/insert', 'OccupationController@insert')->name('occupation.insert');

            Route::get('occupation/view/{id?}', 'OccupationController@view')->name('occupation.view');

            Route::get('occupation/edit/{id?}', 'OccupationController@edit')->name('occupation.edit');

            Route::patch('occupation/update', 'OccupationController@update')->name('occupation.update');

            Route::post('occupation/import','OccupationController@import')->name('occupation.import');

            Route::get('occupation/export/{slug?}','OccupationController@export')->name('occupation.export');
            
            Route::post('occupation/change-status', 'OccupationController@change_status')->name('occupation.change.status');

        /** Occupation */



      /** car_modeles */

            Route::any('car_model', 'CarModelController@index')->name('car_model');

            Route::get('car_model/create', 'CarModelController@create')->name('car_model.create');

            Route::post('car_model/insert', 'CarModelController@insert')->name('car_model.insert');

            Route::get('car_model/view/{id?}', 'CarModelController@view')->name('car_model.view');

            Route::get('car_model/edit/{id?}', 'CarModelController@edit')->name('car_model.edit');

            Route::patch('car_model/update', 'CarModelController@update')->name('car_model.update');

            Route::post('car_model/change-status', 'CarModelController@change_status')->name('car_model.change.status');

            Route::post('car_model/import','CarModelController@import')->name('car_model.import');

            Route::get('car_model/export/{slug?}','CarModelController@export')->name('car_model.export');

        /** car_modeles */



        /** fule_typees */

        Route::any('fule_type', 'FuleTypeController@index')->name('fule_type');

        Route::get('fule_type/create', 'FuleTypeController@create')->name('fule_type.create');

        Route::post('fule_type/insert', 'FuleTypeController@insert')->name('fule_type.insert');

        Route::get('fule_type/view/{id?}', 'FuleTypeController@view')->name('fule_type.view');

        Route::get('fule_type/edit/{id?}', 'FuleTypeController@edit')->name('fule_type.edit');

        Route::patch('fule_type/update', 'FuleTypeController@update')->name('fule_type.update');

        Route::post('fule_type/change-status', 'FuleTypeController@change_status')->name('fule_type.change.status');

        Route::post('fule_type/import','FuleTypeController@import')->name('fule_type.import');

        Route::get('fule_type/export/{slug?}','FuleTypeController@export')->name('fule_type.export');

        /** fule_typees */



        /** transmissiones */

        Route::any('transmission', 'TransmissionController@index')->name('transmission');

        Route::get('transmission/create', 'TransmissionController@create')->name('transmission.create');

        Route::post('transmission/insert', 'TransmissionController@insert')->name('transmission.insert');

        Route::get('transmission/view/{id?}', 'TransmissionController@view')->name('transmission.view');

        Route::get('transmission/edit/{id?}', 'TransmissionController@edit')->name('transmission.edit');

        Route::patch('transmission/update', 'TransmissionController@update')->name('transmission.update');

        Route::post('transmission/change-status', 'TransmissionController@change_status')->name('transmission.change.status');

        Route::post('transmission/import','TransmissionController@import')->name('transmission.import');

        Route::get('transmission/export/{slug?}','TransmissionController@export')->name('transmission.export');

        /** transmissiones */



        /** car_varient */

        Route::any('car_varient', 'CarVarientController@index')->name('car_varient');

        Route::get('car_varient/create', 'CarVarientController@create')->name('car_varient.create');

        Route::post('car_varient/insert', 'CarVarientController@insert')->name('car_varient.insert');

        Route::get('car_varient/view/{id?}', 'CarVarientController@view')->name('car_varient.view');

        Route::get('car_varient/edit/{id?}', 'CarVarientController@edit')->name('car_varient.edit');

        Route::patch('car_varient/update', 'CarVarientController@update')->name('car_varient.update');

        Route::post('car_varient/change-status', 'CarVarientController@change_status')->name('car_varient.change.status');

        Route::post('car_varient/import','CarVarientController@import')->name('car_varient.import');

        Route::get('car_varient/export/{slug?}','CarVarientController@export')->name('car_varient.export');

        /** car_varient */

     



        /** Colortone */

            Route::any('colortone', 'ColortoneController@index')->name('colortone');

            Route::get('colortone/create', 'ColortoneController@create')->name('colortone.create');

            Route::post('colortone/insert', 'ColortoneController@insert')->name('colortone.insert');

            Route::get('colortone/view/{id?}', 'ColortoneController@view')->name('colortone.view');

            Route::get('colortone/edit/{id?}', 'ColortoneController@edit')->name('colortone.edit');

            Route::patch('colortone/update', 'ColortoneController@update')->name('colortone.update');

            Route::post('colortone/change-status', 'ColortoneController@change_status')->name('colortone.change.status');

            Route::post('colortone/import','ColortoneController@import')->name('colortone.import');

            Route::get('colortone/export/{slug?}','ColortoneController@export')->name('colortone.export');

        /** Colortone */



        /** Interior color */

            Route::any('interior', 'InteriorcolorController@index')->name('interior');

            Route::get('interior/create', 'InteriorcolorController@create')->name('interior.create');

            Route::post('interior/insert', 'InteriorcolorController@insert')->name('interior.insert');

            Route::get('interior/view/{id?}', 'InteriorcolorController@view')->name('interior.view');

            Route::get('interior/edit/{id?}', 'InteriorcolorController@edit')->name('interior.edit');

            Route::patch('interior/update', 'InteriorcolorController@update')->name('interior.update');

            Route::post('interior/change-status', 'InteriorcolorController@change_status')->name('interior.change.status');

            Route::post('interior/import','InteriorcolorController@import')->name('interior.import');

            Route::get('interior/export/{slug?}','InteriorcolorController@export')->name('interior.export');

        /** Interior color */



        /** Exterior color */

            Route::any('exterior', 'ExteriorcolorController@index')->name('exterior');

            Route::get('exterior/create', 'ExteriorcolorController@create')->name('exterior.create');

            Route::post('exterior/insert', 'ExteriorcolorController@insert')->name('exterior.insert');

            Route::get('exterior/view/{id?}', 'ExteriorcolorController@view')->name('exterior.view');

            Route::get('exterior/edit/{id?}', 'ExteriorcolorController@edit')->name('exterior.edit');

            Route::patch('exterior/update', 'ExteriorcolorController@update')->name('exterior.update');

            Route::post('exterior/change-status', 'ExteriorcolorController@change_status')->name('exterior.change.status');

            Route::post('exterior/import','ExteriorcolorController@import')->name('exterior.import');

            Route::get('exterior/export/{slug?}','ExteriorcolorController@export')->name('exterior.export');

        /** Exterior color */

        /** Coating */

            Route::any('coating', 'CoatingController@index')->name('coating');

            Route::get('coating/create', 'CoatingController@create')->name('coating.create');

            Route::post('coating/insert', 'CoatingController@insert')->name('coating.insert');

            Route::get('coating/view/{id?}', 'CoatingController@view')->name('coating.view');

            Route::get('coating/edit/{id?}', 'CoatingController@edit')->name('coating.edit');

            Route::patch('coating/update', 'CoatingController@update')->name('coating.update');

            Route::post('coating/change-status', 'CoatingController@change_status')->name('coating.change.status');

            Route::post('coating/import','CoatingController@import')->name('coating.import');

            Route::get('coating/export/{slug?}','CoatingController@export')->name('coating.export');
            
            
        /** CNG Kit */

            Route::any('cng_kit', 'CNGKitController@index')->name('cng_kit');

            Route::get('cng_kit/create', 'CNGKitController@create')->name('cng_kit.create');

            Route::post('cng_kit/insert', 'CNGKitController@insert')->name('cng_kit.insert');

            Route::get('cng_kit/view/{id?}', 'CNGKitController@view')->name('cng_kit.view');

            Route::get('cng_kit/edit/{id?}', 'CNGKitController@edit')->name('cng_kit.edit');

            Route::patch('cng_kit/update', 'CNGKitController@update')->name('cng_kit.update');

            Route::post('cng_kit/change-status', 'CNGKitController@change_status')->name('cng_kit.change.status');

            Route::post('cng_kit/import','CNGKitController@import')->name('cng_kit.import');

            Route::get('cng_kit/export/{slug?}','CNGKitController@export')->name('cng_kit.export');      

        /** extand_warranty */

            Route::any('extand_warranties', 'ExtandWarrantyController@index')->name('extand_warranties');

            Route::get('extand_warranties/create', 'ExtandWarrantyController@create')->name('extand_warranties.create');

            Route::post('extand_warranties/insert', 'ExtandWarrantyController@insert')->name('extand_warranties.insert');

            Route::get('extand_warranties/view/{id?}', 'ExtandWarrantyController@view')->name('extand_warranties.view');

            Route::get('extand_warranties/edit/{id?}', 'ExtandWarrantyController@edit')->name('extand_warranties.edit');

            Route::patch('extand_warranties/update', 'ExtandWarrantyController@update')->name('extand_warranties.update');

            Route::post('extand_warranties/change-status', 'ExtandWarrantyController@change_status')->name('extand_warranties.change.status');

            Route::get('extand_warranties/export/{slug?}','ExtandWarrantyController@export')->name('extand_warranties.export');

            Route::post('extand_warranties/import','ExtandWarrantyController@import')->name('extand_warranties.import');

            Route::post('extend_warranties/fetch','DashboardController@getExtendedWarranty')->name('getExtendedWarranty');

        /** extand_warranty */



        /** fasttag */

            Route::any('fasttag', 'FasttagController@index')->name('fasttag');

            Route::get('fasttag/create', 'FasttagController@create')->name('fasttag.create');

            Route::post('fasttag/insert', 'FasttagController@insert')->name('fasttag.insert');

            Route::get('fasttag/view/{id?}', 'FasttagController@view')->name('fasttag.view');

            Route::get('fasttag/edit/{id?}', 'FasttagController@edit')->name('fasttag.edit');

            Route::patch('fasttag/update', 'FasttagController@update')->name('fasttag.update');

            Route::post('fasttag/change-status', 'FasttagController@change_status')->name('fasttag.change.status');

            Route::get('fasttag/export/{slug?}','FasttagController@export')->name('fasttag.export');

            Route::post('fasttag/import','FasttagController@import')->name('fasttag.import');

        /** fasttag */



        /** finance */

            Route::any('finance', 'FinanceController@index')->name('finance');

            Route::get('finance/create', 'FinanceController@create')->name('finance.create');

            Route::post('finance/insert', 'FinanceController@insert')->name('finance.insert');

            Route::get('finance/view/{id?}', 'FinanceController@view')->name('finance.view');

            Route::get('finance/edit/{id?}', 'FinanceController@edit')->name('finance.edit');

            Route::patch('finance/update', 'FinanceController@update')->name('finance.update');

            Route::post('finance/change-status', 'FinanceController@change_status')->name('finance.change.status');

            Route::get('finance/export/{slug?}','FinanceController@export')->name('finance.export');

            Route::post('finance/import','FinanceController@import')->name('finance.import');

        /** finance */



        /** branch */

            Route::any('branches', 'BranchController@index')->name('branches');

            Route::get('branches/create', 'BranchController@create')->name('branches.create');

            Route::post('branches/insert', 'BranchController@insert')->name('branches.insert');

            Route::get('branches/view/{id?}', 'BranchController@view')->name('branches.view');

            Route::get('branches/edit/{id?}', 'BranchController@edit')->name('branches.edit');

            Route::patch('branches/update', 'BranchController@update')->name('branches.update');

            Route::post('branches/change-status', 'BranchController@change_status')->name('branches.change.status');

            Route::get('branches/export/{slug?}','BranchController@export')->name('branches.export');

            Route::post('branches/import','BranchController@import')->name('branches.import');

        /** branch */



        /** department */

            Route::any('department', 'DepartmentController@index')->name('department');

            Route::get('department/create', 'DepartmentController@create')->name('department.create');

            Route::post('department/insert', 'DepartmentController@insert')->name('department.insert');

            Route::get('department/view/{id?}', 'DepartmentController@view')->name('department.view');

            Route::get('department/edit/{id?}', 'DepartmentController@edit')->name('department.edit');

            Route::patch('department/update', 'DepartmentController@update')->name('department.update');

            Route::post('department/change-status', 'DepartmentController@change_status')->name('department.change.status');

            Route::get('department/export/{slug?}','DepartmentController@export')->name('department.export');

            Route::post('department/import','DepartmentController@import')->name('department.import');

        /** department */



        /** lead */

            Route::any('lead', 'LeadController@index')->name('lead');

            Route::get('lead/create', 'LeadController@create')->name('lead.create');

            Route::post('lead/insert', 'LeadController@insert')->name('lead.insert');

            Route::get('lead/view/{id?}', 'LeadController@view')->name('lead.view');

            Route::get('lead/edit/{id?}', 'LeadController@edit')->name('lead.edit');

            Route::patch('lead/update', 'LeadController@update')->name('lead.update');

            Route::post('lead/change-status', 'LeadController@change_status')->name('lead.change.status');

            Route::get('lead/export/{slug?}','LeadController@export')->name('lead.export');

            Route::post('lead/import','LeadController@import')->name('lead.import');

        /** lead */

            /** Cancellation Reason */
            Route::any('cancellation', 'CancellationReasonController@index')->name('cancellation');

            Route::get('cancellation/create', 'CancellationReasonController@create')->name('cancellation.create');

            Route::post('cancellation/insert', 'CancellationReasonController@insert')->name('cancellation.insert');

            Route::get('cancellation/view/{id?}', 'CancellationReasonController@view')->name('cancellation.view');

            Route::get('cancellation/edit/{id?}', 'CancellationReasonController@edit')->name('cancellation.edit');

            Route::patch('cancellation/update', 'CancellationReasonController@update')->name('cancellation.update');

            Route::post('cancellation/change-status', 'CancellationReasonController@change_status')->name('cancellation.change.status');

            Route::get('cancellation/export/{slug?}','CancellationReasonController@export')->name('cancellation.export');

            Route::post('cancellation/import','CancellationReasonController@import')->name('cancellation.import');
            /** Cancellation Reason */
            
            /** State */
            Route::any('state', 'StateController@index')->name('state');

            Route::get('state/create', 'StateController@create')->name('state.create');

            Route::post('state/insert', 'StateController@insert')->name('state.insert');

            Route::get('state/view/{id?}', 'StateController@view')->name('state.view');

            Route::get('state/edit/{id?}', 'StateController@edit')->name('state.edit');

            Route::patch('state/update', 'StateController@update')->name('state.update');
            
            Route::get('state/export/{slug?}','StateController@export')->name('state.export');
            
            Route::post('state/import','StateController@import')->name('state.import');

            Route::post('state/change-status', 'StateController@change_status')->name('state.change.status');
            /** State */
            
             /** District */
            Route::any('district', 'DistrictController@index')->name('district');

            Route::get('district/create', 'DistrictController@create')->name('district.create');

            Route::post('district/insert', 'DistrictController@insert')->name('district.insert');

            Route::get('district/view/{id?}', 'DistrictController@view')->name('district.view');

            Route::get('district/edit/{id?}', 'DistrictController@edit')->name('district.edit');

            Route::patch('district/update', 'DistrictController@update')->name('district.update');
            
            Route::get('district/export/{slug?}','DistrictController@export')->name('district.export');

            Route::post('district/import','DistrictController@import')->name('district.import');
            
            Route::post('district/change-status', 'DistrictController@change_status')->name('district.change.status');
            /** District */

            /** City */
            Route::any('city', 'CityController@index')->name('city');

            Route::get('city/create', 'CityController@create')->name('city.create');

            Route::post('city/insert', 'CityController@insert')->name('city.insert');

            Route::get('city/view/{id?}', 'CityController@view')->name('city.view');

            Route::get('city/edit/{id?}', 'CityController@edit')->name('city.edit');

            Route::patch('city/update', 'CityController@update')->name('city.update');
            
            Route::get('city/export/{slug?}','CityController@export')->name('city.export');
            
            Route::post('city/import','CityController@import')->name('city.import');

            Route::post('city/change-status', 'CityController@change_status')->name('city.change.status');
            /** City */
            
            /** Bank Account */
            Route::any('bankaccount', 'BankAccountController@index')->name('bankaccount');

            Route::get('bankaccount/create', 'BankAccountController@create')->name('bankaccount.create');

            Route::post('bankaccount/insert', 'BankAccountController@insert')->name('bankaccount.insert');

            Route::get('bankaccount/view/{id?}', 'BankAccountController@view')->name('bankaccount.view');

            Route::get('bankaccount/edit/{id?}', 'BankAccountController@edit')->name('bankaccount.edit');

            Route::patch('bankaccount/update', 'BankAccountController@update')->name('bankaccount.update');
            
            Route::get('bankaccount/export/{slug?}','BankAccountController@export')->name('bankaccount.export');
             
            Route::post('bankaccount/import','BankAccountController@import')->name('bankaccount.import');

            Route::post('bankaccount/change-status', 'BankAccountController@change_status')->name('bankaccount.change.status');
            /** Bank Account */
            

        /** sub_lead */

            Route::any('sub_lead', 'SubleadController@index')->name('sub_lead');

            Route::get('sub_lead/create', 'SubleadController@create')->name('sub_lead.create');

            Route::post('sub_lead/insert', 'SubleadController@insert')->name('sub_lead.insert');

            Route::get('sub_lead/view/{id?}', 'SubleadController@view')->name('sub_lead.view');

            Route::get('sub_lead/edit/{id?}', 'SubleadController@edit')->name('sub_lead.edit');

            Route::patch('sub_lead/update', 'SubleadController@update')->name('sub_lead.update');

            Route::post('sub_lead/change-status', 'SubleadController@change_status')->name('sub_lead.change.status');

            Route::get('sub_lead/export/{slug?}','SubleadController@export')->name('sub_lead.export');

            Route::post('sub_lead/import','SubleadController@import')->name('sub_lead.import');

        /** sub_lead */



        /** orders */

            Route::any('order', 'OrderController@index')->name('order');

            Route::get('order/view/{id?}', 'OrderController@view')->name('order.view');

            Route::post('order/change-status', 'OrderController@change_status')->name('order.change_status');

             Route::get('order/invoice_create', 'OrderController@invoice_create')->name('order.invoice_create');

             Route::get('order/invoice_edit', 'OrderController@invoice_edit')->name('order.invoice_edit');

             Route::post('order/insert', 'OrderController@insert')->name('order.insert');

             Route::post('order/update', 'OrderController@update')->name('order.update');

             Route::get('order/pdf_sample', 'OrderController@pdf_sample')->name('order.pdf_sample');

             Route::get('order/invoice_pdf', 'OrderController@invoice_pdf')->name('order.invoice_pdf');
             
              Route::get('order/invoice_dealer_pdf', 'OrderController@invoice_dealer_pdf')->name('order.invoice_dealer_pdf');

             /*Route::get('order/delivery_receipt_pdf', 'OrderController@delivery_receipt_pdf')->name('order.delivery_receipt_pdf');*/

             Route::get('order/get_pass_pdf', 'OrderController@get_pass_pdf')->name('order.get_pass_pdf');
             
             Route::get('order/dealer_get_pass_pdf', 'OrderController@dealer_get_pass_pdf')->name('order.dealer_get_pass_pdf');

             Route::get('order/payment_pending_detail', 'OrderController@payment_pending_detail')->name('order.payment_pending_detail');
             
             Route::post('order.update_payment_status', 'OrderController@update_payment_status')->name('order.update_payment_status');
             
            Route::get('order/getOrderData','OrderController@getOrderData')->name('order.getOrderData');
            
            Route::get('order/dealer_invoice_create', 'OrderController@dealer_invoice_create')->name('order.dealer_invoice_create');

            Route::get('order/dealer_invoice_edit', 'OrderController@dealer_invoice_edit')->name('order.dealer_invoice_edit');

            Route::post('order/dealer_update', 'OrderController@dealer_update')->name('order.dealer_update'); 
            
            Route::get('order/dealer_invoice_create', 'OrderController@dealer_invoice_create')->name('order.dealer_invoice_create'); 
            
            Route::post('order/dealer_invoice_insert', 'OrderController@dealer_invoice_insert')->name('order.dealer_invoice_insert');
            
            Route::post('order/invoice_cancel', 'OrderController@invoice_cancel')->name('order.invoice_cancel');
            
            Route::post('order/liquidationprocess', 'OrderController@liquidationprocess')->name('order.liquidationprocess');
        /** orders */



        /** transfer */

            Route::any('transfer', 'TransferController@index')->name('transfer');

            Route::get('transfer/create', 'TransferController@create')->name('transfer.create');
    
            Route::get('/transfer-vin-details', 'TransferController@getTransferVinDetails');

            Route::post('transfer/insert', 'TransferController@insert')->name('transfer.insert');

            Route::get('/edit/{id}','TransferController@edit')->name('transfer.edit');

            Route::post('transfer/update/{id}','TransferController@update')->name('transfer.update');

            Route::get('transfer/accept-check/{id?}', 'TransferController@accept_check')->name('transfer.accept.check');

            Route::get('transfer/inventory-details', 'TransferController@inventory_details')->name('transfer.inventory.details');

            Route::get('transfer/gate-pass/{id?}', 'TransferController@gate_pass')->name('transfer.gate.pass');

            Route::post('transfer/reject', 'TransferController@reject')->name('transfer.reject');

            Route::post('transfer/accept', 'TransferController@accept')->name('transfer.accept');

            Route::get('transfer/transfer-details/{id?}', 'TransferController@transfer_details')->name('transfer.transfer.details');

            Route::post('transfer/change-status', 'TransferController@change_status')->name('transfer.change.status');

            Route::post('transfer/varientaspercarmodel', 'TransferController@varientaspercarmodel')->name('transfer.varientaspercarmodel');

            Route::post('transfer/vinaspercarvarient', 'TransferController@vinaspercarvarient')->name('transfer.vinaspercarvarient'); 

            Route::post('transfer/received', 'TransferController@received')->name('transfer.received');
            
            Route::post('transfer/getTransfer','DashboardController@getTransfer')->name('getTransfer');

        /** transfer */





        /** inventory */

            Route::any('inventory', 'InventoryController@index')->name('inventory');
            Route::any('inventory/car_allocate_delearlist', 'InventoryController@car_allocate_delearlist')->name('inventory.car_allocate_delearlist');

           
            Route::get('inventory/create', 'InventoryController@create')->name('inventory.create');

            Route::get('inventory/carvarient/{id?}', 'InventoryController@carvarient')->name('inventory.carvarient');

            Route::post('inventory/insert', 'InventoryController@insert')->name('inventory.insert');

            Route::get('inventory/view/{id?}', 'InventoryController@view')->name('inventory.view');

            Route::get('inventory/edit/{id?}', 'InventoryController@edit')->name('inventory.edit');

            Route::patch('inventory/update', 'InventoryController@update')->name('inventory.update');

            Route::post('inventory/change-status', 'InventoryController@change_status')->name('inventory.change.status');

            Route::get('inventory/accept/{id?}', 'InventoryController@accept')->name('inventory.accept');

            Route::post('inventory/accepted', 'InventoryController@accepted')->name('inventory.accepted');

            Route::any('inventory/dealer/accept/{id?}', 'InventoryController@acceptdealer')->name('dealer.accept');
            Route::any('inventory/dealer/accepteddealer', 'InventoryController@accepteddealer')->name('dealer.accepted');

            Route::post('inventory/car_allocate_delearlist', 'InventoryController@car_allocate_delearlist')->name('inventory.car_allocate_delearlist');

            Route::any('inventorystock', 'InventoryController@inventorystock')->name('inventorystock');

            Route::any('stock/{branch?}', 'InventoryController@BranchWiseStock')->name('stock.branch');

            Route::post('inventory/import','InventoryController@import')->name('inventory.import');

            Route::get('inventory/export/{slug?}','InventoryController@export')->name('inventory.export');

            Route::get('inventory/car_varient_asper_fueltype','InventoryController@car_varient_asper_fueltype')->name('inventory.car_varient_asper_fueltype');
            Route::post('inventory/getInventory','DashboardController@getInventory')->name('inventory.getInventory');
            Route::get('inventory/viewlogs/{id}', 'InventoryController@viewlogs')->name('inventory.viewlogs');



        /** inventory */

        
        /** transit-inventory */

            Route::any('transit-inventory', 'TransitInventoryController@index')->name('transit-inventory');
            
            Route::get('transit-inventory/create', 'TransitInventoryController@create')->name('transit-inventory.create');

            Route::get('transit-inventory/carvarient/{id?}', 'TransitInventoryController@carvarient')->name('transit-inventory.carvarient');

            Route::post('transit-inventory/insert', 'TransitInventoryController@insert')->name('transit-inventory.insert');

            Route::get('transit-inventory/view/{id?}', 'TransitInventoryController@view')->name('transit-inventory.view');

            Route::get('transit-inventory/edit/{id?}', 'TransitInventoryController@edit')->name('transit-inventory.edit');

            Route::patch('transit-inventory/update', 'TransitInventoryController@update')->name('transit-inventory.update');

            Route::post('transit-inventory/change-status', 'TransitInventoryController@change_status')->name('transit-inventory.change.status');

            Route::post('transit-inventory/import','TransitInventoryController@import')->name('transit-inventory.import');

            Route::get('transit-inventory/export/{slug?}','TransitInventoryController@export')->name('transit-inventory.export');
            
            Route::get('transit-inventory/convert_stock/{id}', 'TransitInventoryController@convert_stock')->name('transit-inventory.convert_stock');



        /** transit-inventory */
         /** dms */

        

            Route::any('dms', 'DMSController@index')->name('dms');

            Route::get('dms/create','DMSController@create')->name('dms.create');

            Route::get('dms/carvarient/{id?}','DMSController@carvarient')->name('dms.carvarient');

            Route::post('dms/insert','DMSController@insert')->name('dms.insert');

            Route::get('dms/view/{id?}','DMSController@view')->name('dms.view');

            Route::get('dms/edit/{id?}','DMSController@edit')->name('dms.edit');

            Route::patch('dms/update','DMSController@update')->name('dms.update');

            Route::post('dms/import','DMSController@import')->name('dms.import');

        

        

        /** Dealer */

        

            Route::any('dealer', 'DealerController@index')->name('dealer');

            Route::get('dealer/create','DealerController@create')->name('dealer.create');

            Route::get('dealer/carvarient/{id?}','DealerController@carvarient')->name('dealer.carvarient');

            Route::post('dealer/insert','DealerController@insert')->name('dealer.insert');

            Route::get('dealer/view/{id?}','DealerController@view')->name('dealer.view');

            Route::get('dealer/edit/{id?}','DealerController@edit')->name('dealer.edit');

            Route::patch('dealer/update','DealerController@update')->name('dealer.update');

            Route::post('dealer/import','DealerController@update')->name('dealer.import');
            
            Route::post('dealer/change-status', 'DealerController@change_status')->name('dealer.change.status');

        

        /** pettycash */

        Route::any('pettycash', 'PettyController@index')->name('pettycash');

        Route::any('pettycashdata', 'PettyController@indexData')->name('pettycashdata');

        Route::get('pettycash/create', 'PettyController@create')->name('pettycash.create');

        Route::post('pettycash/insert', 'PettyController@insert')->name('pettycash.insert');

         Route::get('pettycash/edit/{id?}', 'PettyController@edit')->name('pettycash.edit');

         Route::patch('pettycash/update', 'PettyController@update')->name('pettycash.update');

         Route::get('pettycash/modify', 'PettyController@modify')->name('pettycash.modify');

         Route::patch('pettycash/updatepettycash', 'PettyController@updatepettycash')->name('updatepettycash');

         Route::post('pettycash/import','PettyController@import')->name('pettycash.import');

        Route::get('pettycash/export/{slug?}','PettyController@export')->name('pettycash.export');

        

          Route::any('pettycashaddbalance', 'PettyController@addBalance')->name('pettycash.addbalance');

        /** pettycash */

        

        /** Pricelist */

            Route::any('pricelist', 'PricelistController@index')->name('pricelist');

            Route::get('pricelist/edit/{id?}', 'PricelistController@edit')->name('pricelist.edit');

            Route::get('pricelist/car_drop_down_get/{id?}', 'PricelistController@car_drop_down_get')->name('pricelist.car_drop_down_get');

            Route::patch('pricelist/update', 'PricelistController@update')->name('pricelist.update');

            Route::get('pricelist/create', 'PricelistController@create')->name('pricelist.create');

            Route::post('pricelist/insert', 'PricelistController@insert')->name('pricelist.insert');

            Route::post('pricelist/import','PricelistController@import')->name('pricelist.import');

            Route::get('pricelist/export/{slug?}','PricelistController@export')->name('pricelist.export');



            Route::get('pricelist/car_fuel_type/{id?}', 'PricelistController@car_fuel_type')->name('pricelist.car_fuel_type');

            Route::post('pricelist/change-status', 'PricelistController@change_status')->name('pricelist.change.status');
            
            Route::post('pricelist/getpricelist', 'PricelistController@getpricelist')->name('pricelist.getpricelist');

        /** Pricelist */



        /** Accessory */

            Route::any('accessory', 'AccessoryController@index')->name('accessory');

            Route::get('accessory/create', 'AccessoryController@create')->name('accessory.create');

            Route::post('accessory/insert', 'AccessoryController@insert')->name('accessory.insert');

            Route::get('accessory/view/{id?}', 'AccessoryController@view')->name('accessory.view');

            Route::get('accessory/edit/{id?}', 'AccessoryController@edit')->name('accessory.edit');

            Route::patch('accessory/update', 'AccessoryController@update')->name('accessory.update');

            Route::post('accessory/change_status', 'AccessoryController@change_status')->name('accessory.change.status');

            Route::get('accessory/export/{slug?}','AccessoryController@export')->name('accessory.export');

            Route::post('accessory/import','AccessoryController@import')->name('accessory.import');

        /** Accessory */



        /** Car Exchange Category */

            Route::any('car_exchange_category', 'CarExchangeCategoryController@index')->name('car_exchange_category');

            Route::get('car_exchange_category/create', 'CarExchangeCategoryController@create')->name('car_exchange_category.create');

            Route::post('car_exchange_category/insert', 'CarExchangeCategoryController@insert')->name('car_exchange_category.insert');

            Route::get('car_exchange_category/view/{id?}', 'CarExchangeCategoryController@view')->name('car_exchange_category.view');

            Route::get('car_exchange_category/edit/{id?}', 'CarExchangeCategoryController@edit')->name('car_exchange_category.edit');

            Route::patch('car_exchange_category/update', 'CarExchangeCategoryController@update')->name('car_exchange_category.update');



            Route::post('car_exchange_category/change-status', 'CarExchangeCategoryController@change_status')->name('car_exchange_category.change.status');

            Route::get('car_exchange_category/export/{slug?}','CarExchangeCategoryController@export')->name('car_exchange_category.export');

            Route::post('car_exchange_category/import','CarExchangeCategoryController@import')->name('car_exchange_category.import');
            
            
            Route::get('allReport/UsedCarReport','DashboardController@UsedCarReport')->name('UsedCarReport'); 
            Route::post('inventory/getUsedCarReport','DashboardController@getUsedCarReport')->name('getUsedCarReport');
            Route::get('allReport/UsedCarReportReport/UsedCarReportExport/{slug?}','DashboardController@UsedCarReportExport')->name('UsedCarReportExport');

                      

        /** Car Exchange Category */

    

        /** Car Exchange Product */

            Route::any('car_exchange_product', 'CarExchangeProductController@index')->name('car_exchange_product');

            Route::get('car_exchange_product/create', 'CarExchangeProductController@create')->name('car_exchange_product.create');

            Route::post('car_exchange_product/insert', 'CarExchangeProductController@insert')->name('car_exchange_product.insert');

            Route::get('car_exchange_product/view/{id?}', 'CarExchangeProductController@view')->name('car_exchange_product.view');

            Route::get('car_exchange_product/edit/{id?}', 'CarExchangeProductController@edit')->name('car_exchange_product.edit');

            Route::patch('car_exchange_product/update', 'CarExchangeProductController@update')->name('car_exchange_product.update');

            Route::post('car_exchange_product/change-status', 'CarExchangeProductController@change_status')->name('car_exchange_product.change.status');

            Route::post('car_exchange_product/import','CarExchangeProductController@import')->name('car_exchange_product.import');

            Route::get('car_exchange_product/export/{slug?}','CarExchangeProductController@export')->name('car_exchange_product.export');

        /** Car Exchange Product */

    

        /** Car Exchange */

            Route::any('car_exchange', 'CarExchangeController@index')->name('car_exchange');

            Route::get('car_exchange/create', 'CarExchangeController@create')->name('car_exchange.create');

            Route::post('car_exchange/insert', 'CarExchangeController@insert')->name('car_exchange.insert');

            Route::get('car_exchange/view/{id?}', 'CarExchangeController@view')->name('car_exchange.view');

            Route::get('car_exchange/edit/{id?}', 'CarExchangeController@edit')->name('car_exchange.edit');

            Route::patch('car_exchange/update', 'CarExchangeController@update')->name('car_exchange.update');

            Route::post('car_exchange/change-status', 'CarExchangeController@change_status')->name('car_exchange.change.status');

            Route::get('car_exchange/export/{slug?}','CarExchangeController@export')->name('car_exchange.export');

            Route::post('car_exchange/import','CarExchangeController@import')->name('car_exchange.import');

        /** Car Exchange */



        /** Asset */

            Route::any('asset', 'AssetController@index')->name('asset');

            Route::get('asset/create', 'AssetController@create')->name('asset.create');

            Route::post('asset/store', 'AssetController@store')->name('asset.store');

            Route::get('asset/edit/{id?}', 'AssetController@edit')->name('asset.edit');

            Route::get('asset/view/{id?}', 'AssetController@show')->name('asset.show');

            Route::patch('asset/update', 'AssetController@update')->name('asset.update');

            Route::post('asset/import','AssetController@import')->name('asset.import');

            Route::get('asset/export/{slug?}','AssetController@export')->name('asset.export');

        /** Asset */



         /** team_master */

        Route::any('team_master', 'TeamMasterController@index')->name('team_master');

        Route::get('team_master/create', 'TeamMasterController@create')->name('team_master.create');

        Route::get('team_master/carvarient/{id?}', 'TeamMasterController@carvarient')->name('team_master.carvarient');

        Route::get('team_master/car_drop_down_get/{id?}', 'TeamMasterController@car_drop_down_get')->name('team_master.car_drop_down_get');

        Route::post('team_master/insert', 'TeamMasterController@insert')->name('team_master.insert');

        Route::get('team_master/view/{id?}', 'TeamMasterController@view')->name('team_master.view');

        Route::get('team_master/edit/{id?}', 'TeamMasterController@edit')->name('team_master.edit');

        Route::patch('team_master/update', 'TeamMasterController@update')->name('team_master.update');

        Route::post('team_master/change-status', 'TeamMasterController@change_status')->name('team_master.change.status');

        Route::post('team_master/import','TeamMasterController@import')->name('team_master.import');

        Route::get('team_master/export/{slug?}','TeamMasterController@export')->name('team_master.export');

        /** team_master */

        /** MCP */

        Route::any('mcp', 'McpController@index')->name('mcp');

        Route::get('mcp/create', 'McpController@create')->name('mcp.create');

        Route::post('mcp/insert', 'McpController@insert')->name('mcp.insert');

        //Route::get('mcp/view/{id?}', 'McpController@view')->name('mcp.view');

        Route::get('mcp/edit/{id?}', 'McpController@edit')->name('mcp.edit');

        Route::patch('mcp/update', 'McpController@update')->name('mcp.update');

        Route::post('mcp/change-status', 'McpController@change_status')->name('mcp.change.status');

         Route::post('mcp/import','McpController@import')->name('mcp.import');

        Route::get('mcp/export/{slug?}','McpController@export')->name('mcp.export');

        Route::post('mcp/fetch','DashboardController@getMCP')->name('getMCP');

        /** MCP */

         /** Other Master 1 */

        Route::any('other_master_1', 'OtherOneController@index')->name('other_master_1');

        Route::get('other_master_1/create', 'OtherOneController@create')->name('other_master_1.create');

        Route::post('other_master_1/insert', 'OtherOneController@insert')->name('other_master_1.insert');

        //Route::get('other_master_1/view/{id?}', 'OtherOneController@view')->name('other_master_1.view');

        Route::get('other_master_1/edit/{id?}', 'OtherOneController@edit')->name('other_master_1.edit');

        Route::patch('other_master_1/update', 'OtherOneController@update')->name('other_master_1.update');

        Route::post('other_master_1/change-status', 'OtherOneController@change_status')->name('other_master_1.change.status');

         Route::post('other_master_1/import','OtherOneController@import')->name('other_master_1.import');

        Route::get('other_master_1/export/{slug?}','OtherOneController@export')->name('other_master_1.export');

        

        /** Other Master 1 */

        /** Other Master 2 */

        Route::any('other_master_2', 'OtherTwoController@index')->name('other_master_2');

        Route::get('other_master_2/create', 'OtherTwoController@create')->name('other_master_2.create');

        Route::post('other_master_2/insert', 'OtherTwoController@insert')->name('other_master_2.insert');

        //Route::get('other_master_2/view/{id?}', 'OtherTwoController@view')->name('other_master_2.view');

        Route::get('other_master_2/edit/{id?}', 'OtherTwoController@edit')->name('other_master_2.edit');

        Route::patch('other_master_2/update', 'OtherTwoController@update')->name('other_master_2.update');

        Route::post('other_master_2/change-status', 'OtherTwoController@change_status')->name('other_master_2.change.status');

         Route::post('other_master_2/import','OtherTwoController@import')->name('other_master_2.import');

        Route::get('other_master_2/export/{slug?}','OtherTwoController@export')->name('other_master_2.export');

        

        /** Other Master 2 */

             /** expense-type */

            Route::any('expensetypes', 'ExpenseTypeController@index')->name('expensetypes');

            Route::get('expensetypes/create', 'ExpenseTypeController@create')->name('expensetypes.create');

            Route::post('expensetypes/insert', 'ExpenseTypeController@insert')->name('expensetypes.insert');

            Route::get('expensetypes/view/{id?}', 'ExpenseTypeController@view')->name('expensetypes.view');

            Route::get('expensetypes/edit/{id?}', 'ExpenseTypeController@edit')->name('expensetypes.edit');

            Route::patch('expensetypes/update', 'ExpenseTypeController@update')->name('expensetypes.update');

            Route::post('expensetypes/change-status', 'ExpenseTypeController@change_status')->name('expensetypes.change.status');

            Route::get('expensetypes/export/{slug?}','ExpenseTypeController@export')->name('expensetypes.export');

            Route::post('expensetypes/import','ExpenseTypeController@import')->name('expensetypes.import');

        /** expense-type */

         /** notifications */

        Route::any('notifications', 'NotificationController@index')->name('notifications');

        Route::any('notifications/top_notify', 'NotificationController@top_notify')->name('notifications.top_notify');

        Route::any('notifications/notification_count_get', 'NotificationController@notification_count_get')->name('notifications.notification_count_get');

        Route::post('notifications/change-status', 'NotificationController@change_status')->name('notifications.change.status');

        

        /** notifications */



        /** Car Exchange Category */

            Route::any('template_master', 'TemplateMasterController@index')->name('template_master');

            Route::get('template_master/create', 'TemplateMasterController@create')->name('template_master.create');

            Route::post('template_master/insert', 'TemplateMasterController@insert')->name('template_master.insert');

            Route::get('template_master/view/{id?}', 'TemplateMasterController@view')->name('template_master.view');

            Route::get('template_master/edit/{id?}', 'TemplateMasterController@edit')->name('template_master.edit');

            Route::patch('template_master/update', 'TemplateMasterController@update')->name('template_master.update');

            Route::post('template_master/change-status', 'TemplateMasterController@change_status')->name('template_master.change.status');

        /** Car Exchange Category */



        /** Car Exchange Category */

            Route::any('template_master_category', 'TemplateMasterCategoryController@index')->name('template_master_category');

            Route::get('template_master_category/create', 'TemplateMasterCategoryController@create')->name('template_master_category.create');

            Route::post('template_master_category/insert', 'TemplateMasterCategoryController@insert')->name('template_master_category.insert');

            Route::get('template_master_category/view/{id?}', 'TemplateMasterCategoryController@view')->name('template_master_category.view');

            Route::get('template_master_category/edit/{id?}', 'TemplateMasterCategoryController@edit')->name('template_master_category.edit');

            Route::patch('template_master_category/update', 'TemplateMasterCategoryController@update')->name('template_master_category.update');

            Route::post('template_master_category/change-status', 'TemplateMasterCategoryController@change_status')->name('template_master_category.change.status');

        /** Car Exchange Category */





        /** Tax Master */

            Route::any('tex_master', 'TexMasterController@index')->name('tex_master');

            Route::get('tex_master/create', 'TexMasterController@create')->name('tex_master.create');

            Route::post('tex_master/insert', 'TexMasterController@insert')->name('tex_master.insert');

            Route::get('tex_master/view/{id?}', 'TexMasterController@view')->name('tex_master.view');

            Route::get('tex_master/edit/{id?}', 'TexMasterController@edit')->name('tex_master.edit');

            Route::patch('tex_master/update', 'TexMasterController@update')->name('tex_master.update');

            Route::post('tex_master/change-status', 'TexMasterController@change_status')->name('tex_master.change.status');

            Route::post('tex_master/import','TexMasterController@import')->name('tex_master.import');

            Route::get('tex_master/export/{slug?}','TexMasterController@export')->name('tex_master.export');

        /** Tax Master */



        /** Mature Insurance */

            Route::any('mature_insurance', 'MatureInsuranceController@index')->name('mature_insurance');

            Route::get('mature_insurance/view/{id?}', 'MatureInsuranceController@view')->name('mature_insurance.view');

            Route::post('mature_insurance/change-status', 'MatureInsuranceController@change_status')->name('mature_insurance.change.status');

        /** Mature Insurance */



        /** Expired Insurance */

            Route::any('expired_insurance', 'ExpiredInsuranceController@index')->name('expired_insurance');

            Route::get('expired_insurance/view/{id?}', 'ExpiredInsuranceController@view')->name('expired_insurance.view');

            Route::post('expired_insurance/change-status', 'ExpiredInsuranceController@change_status')->name('expired_insurance.change.status');

            Route::get('expired_insurance/renew', 'ExpiredInsuranceController@renew')->name('expired_insurance.renew');

            Route::post('expired_insurance/insert', 'ExpiredInsuranceController@insert')->name('expired_insurance.insert');

            Route::post('expired_insurance/update', 'ExpiredInsuranceController@update')->name('expired_insurance.update');

        /** Expired Insurance */





        /** Last Month Insurance */

            Route::any('last_month_insurance', 'LastmonthInsuranceController@index')->name('last_month_insurance');

            Route::get('last_month_insurance/view/{id?}', 'LastmonthInsuranceController@view')->name('last_month_insurance.view');

            Route::post('last_month_insurance/change-status', 'LastmonthInsuranceController@change_status')->name('last_month_insurance.change.status');

        /** Last Month Insurance */



       

        /** policy list */            

            Route::any('policy_list/{id?}', 'PolicyListController@index')->name('policy_list');

            Route::get('policy_list/create', 'PolicyListController@create')->name('policy_list.create');

            Route::post('policy_list/insert', 'PolicyListController@insert')->name('policy_list.insert');

            Route::get('policy_list/view/{id?}', 'PolicyListController@view')->name('policy_list.view');

            Route::get('policy_list/edit/{id?}', 'PolicyListController@edit')->name('policy_list.edit');

            Route::post('policy_list/change-status', 'PolicyListController@change_status')->name('policy_list.change.status');

        /** policy list */



        /** CustomerTypeMaster */

        Route::any('customer_type_master', 'CustomerTypeMasterController@index')->name('customer_type_master');

        Route::get('customer_type_master/create', 'CustomerTypeMasterController@create')->name('customer_type_master.create');

        Route::post('customer_type_master/insert', 'CustomerTypeMasterController@insert')->name('customer_type_master.insert');

        Route::get('customer_type_master/edit/{id?}', 'CustomerTypeMasterController@edit')->name('customer_type_master.edit');

        Route::get('customer_type_master/view/{id?}', 'CustomerTypeMasterController@view')->name('customer_type_master.view');

        Route::patch('customer_type_master/update', 'CustomerTypeMasterController@update')->name('customer_type_master.update');

        Route::post('customer_type_master/change-status', 'CustomerTypeMasterController@change_status')->name('customer_type_master.change.status');

        Route::post('customer_type_master/import','CustomerTypeMasterController@import')->name('customer_type_master.import');

        Route::get('customer_type_master/export/{slug?}','CustomerTypeMasterController@export')->name('customer_type_master.export');

        /** CustomerTypeMaster */

        

        

        /** UploadFileMaster */

        Route::any('upload_file_master', 'UploadfileMasterController@index')->name('upload_file_master');

        Route::get('upload_file_master/create', 'UploadfileMasterController@create')->name('upload_file_master.create');

        Route::post('upload_file_master/insert', 'UploadfileMasterController@insert')->name('upload_file_master.insert');

        Route::get('upload_file_master/edit/{id?}', 'UploadfileMasterController@edit')->name('upload_file_master.edit');

        Route::get('upload_file_master/view/{id?}', 'UploadfileMasterController@view')->name('upload_file_master.view');

        Route::patch('upload_file_master/update', 'UploadfileMasterController@update')->name('upload_file_master.update');

        Route::post('upload_file_master/change-status', 'UploadfileMasterController@change_status')->name('upload_file_master.change.status');

        Route::post('upload_file_master/import','UploadfileMasterController@import')->name('upload_file_master.import');

        Route::get('upload_file_master/export/{slug?}','UploadfileMasterController@export')->name('upload_file_master.export');

        /** UploadFileMaster */

        

        /** RTO Master */

        Route::any('rto_master', 'rto_masterController@index')->name('rto_master');

        Route::get('rto_master/create', 'rto_masterController@create')->name('rto_master.create');

        Route::post('rto_master/insert', 'rto_masterController@insert')->name('rto_master.insert');

        Route::get('rto_master/edit/{id?}', 'rto_masterController@edit')->name('rto_master.edit');

        Route::patch('rto_master/update', 'rto_masterController@update')->name('rto_master.update');

        Route::post('rto_master/change-status', 'rto_masterController@change_status')->name('rto_master.change.status');

        Route::get('rto_master/view/{id?}', 'rto_masterController@view')->name('rto_master.view');  

        Route::post('rto_master/varient_carmodel', 'rto_masterController@varient_carmodel')->name('rto_master.varient_carmodel');

        Route::post('rto_master/pricelistaspercarvarient', 'rto_masterController@pricelistaspercarvarient')->name('rto_master.pricelistaspercarvarient'); 

        Route::post('rto_master/import','rto_masterController@import')->name('rto_master.import');

        Route::get('rto_master/export/{slug?}','rto_masterController@export')->name('rto_master.export');

        Route::get('rto_master/getdetails/{id?}', 'rto_masterController@getdetails')->name('rto_master.getdetails');

        Route::post('rtomaster/getRto','DashboardController@getRto')->name('getRto');
       /** RTO Master */

       

       /*  exchange */

     Route::any('exchange', 'exchangecontroller@index')->name('exchange');

     Route::get('exchange/create', 'exchangecontroller@create')->name('exchange.create');

     Route::post('exchange/insert', 'exchangecontroller@insert')->name('exchange.insert');

     Route::get('exchange/view/{id?}', 'exchangecontroller@view')->name('exchange.view');

     Route::get('exchange/edit/{id?}', 'exchangecontroller@edit')->name('exchange.edit');

     Route::patch('exchange/update', 'exchangecontroller@update')->name('exchange.update');

     Route::post('exchange/change-status', 'exchangecontroller@change_status')->name('exchange.change.status');

     route::post('exchange/import','exchangecontroller@import')->name('exchange.import');

     Route::get('exchange/export/{slug?}','exchangecontroller@export')->name('exchange.export');

     Route::get('exchange/car_name', 'exchangecontroller@car_name')->name('exchange.car_name');
     
     Route::post('account_approval/cancel-reason', 'exchangecontroller@cancel_reason')->name('exchange.cancel.reason'); 
     
     Route::get('exchange/selling-note/', 'exchangecontroller@sellingnote')->name('obf.sellingnote');
     
     Route::get('exchange/selling-receipt/', 'exchangecontroller@sellingreceipt')->name('obf.sellingreceipt');
     
     Route::get('exchange_cash_receipt/create', 'exchangecontroller@exchange_receipt_create')->name('exchange_cash_receipt.create');
     
     Route::post('exchange_cash_receipt/insert', 'exchangecontroller@insert_cash_receipt')->name('exchange_cash_receipt.insert');
     
     Route::post('exchange/sell', 'exchangecontroller@sell')->name('exchange.sell');
     
     

            

  /* exchange */



     /*  purchaseoldcar */

     Route::any('purchaseoldcar', 'purchaseoldcarcontroller@index')->name('purchaseoldcar');

     Route::get('purchaseoldcar/create', 'purchaseoldcarcontroller@create')->name('purchaseoldcar.create');

     Route::post('purchaseoldcar/insert', 'purchaseoldcarcontroller@insert')->name('purchaseoldcar.insert');

     Route::get('purchaseoldcar/view/{id?}', 'purchaseoldcarcontroller@view')->name('purchaseoldcar.view');

     Route::get('purchaseoldcar/edit/{id?}', 'purchaseoldcarcontroller@edit')->name('purchaseoldcar.edit');

     Route::patch('purchaseoldcar/update', 'purchaseoldcarcontroller@update')->name('purchaseoldcar.update');

     Route::post('purchaseoldcar/change-status', 'purchaseoldcarcontroller@change_status')->name('purchaseoldcar.change.status');

     route::post('purchaseoldcar/import','purchaseoldcarcontroller@import')->name('purchaseoldcar.import');

     Route::get('purchaseoldcar/export/{slug?}','purchaseoldcarcontroller@export')->name('purchaseoldcar.export');

  /* purchaseoldcar */

  

  /** Add_vendor */

   Route::any('vendors', 'AddVendorController@index')->name('avendor');

    Route::get('vendor/add', 'AddVendorController@create')->name('vendor.add');

    Route::post('vendor/store', 'AddVendorController@insert')->name('vendor.store');

    Route::get('vendor/a_view/{id?}', 'AddVendorController@view')->name('vendor.a_view');

    Route::get('vendor/a_edit/{id?}', 'AddVendorController@edit')->name('vendor.a_edit');

    Route::patch('vendor/a_update', 'AddVendorController@update')->name('vendor.a_update');

    Route::get('vendor/send-email/{id}', 'AddVendorController@sendEmail')->name('send_email');

    Route::post('vendor/a_change-status', 'AddVendorController@change_status')->name('vendor.a_change.status');

    Route::get('vendor/send-email/{id}', 'AddVendorController@sendEmail')->name('send_email'); 

    // Route::post('vendor/import','AddVendorController@import')->name('vendor.import');

    // Route::get('vendor/export/{slug?}','AddVendorController@export')->name('vendor.export');

/** Add_vendor */

  

  

   /** vendor */

            Route::any('vendor', 'VendorController@index')->name('vendor');



            Route::get('vendor/view/{id?}', 'VendorController@view')->name('vendor.view');

            Route::get('vendor/edit/{id?}', 'VendorController@edit')->name('vendor.edit');

            Route::patch('vendor/update', 'VendorController@update')->name('vendor.update');

            Route::post('vendor/change-status', 'VendorController@change_status')->name('vendor.change.status');

            Route::post('vendor/approval-status', 'VendorController@update_approval_status')->name('vendor.approval.status');

            Route::post('vendor/rejected-status', 'VendorController@update_rejected_status')->name('vendor.rejected.status');

            Route::get('vendor/code/{id?}', 'VendorController@vendorcode')->name('vendor.code');

            Route::get('/vendor/profile', 'VendorController@profileview')->name('vendor.profile');

            Route::get('vendor/register', 'VendorController@without')->name('vendor.without');

            Route::post('vendor/withoutinsert', 'VendorController@withoutinsert')->name('vendor.withoutinsert');

            

            Route::get('/vendor/quotation', 'VendorController@vendorquotation')->name('vendor.quotation');

            Route::post('/vendor/quotation/insert', 'VendorController@quationstore')->name('vendor.quotationstore');



            Route::any('/vendor/quatindex', 'VendorController@quatindex')->name('vendor.quatindex');

            Route::get('/vendor/qview', 'VendorController@qview')->name('vendor.qview');



            // Route::post('vendor/import','VendorController@import')->name('vendor.import');

            // Route::get('vendor/export/{slug?}','VendorController@export')->name('vendor.export');

        /** vendor */

  

  

  

  

       

     /* CAR COMPANY */

   Route::any('carcompany', 'carcompanycontroller@index')->name('carcompany');

   Route::get('carcompany/create', 'carcompanycontroller@create')->name('carcompany.create');

   Route::post('carcompany/insert', 'carcompanycontroller@insert')->name('carcompany.insert');

   Route::get('carcompany/view/{id?}', 'carcompanycontroller@view')->name('carcompany.view');

   Route::get('carcompany/edit/{id?}', 'carcompanycontroller@edit')->name('carcompany.edit');

   Route::patch('carcompany/update', 'carcompanycontroller@update')->name('carcompany.update');

   Route::post('carcompany/change-status', 'carcompanycontroller@change_status')->name('carcompany.change.status');

   route::post('carcompany/import','carcompanycontroller@import')->name('carcompany.import');

   Route::get('carcompany/export/{slug?}','carcompanycontroller@export')->name('carcompany.export');

/* CAR COMPANY */  



   Route::get('validation', 'validationController@index')->name('validation');    

    });

    

    /*  offer */

  Route::any('offer', 'offercontroller@index')->name('offer');

  Route::get('offer/create', 'offercontroller@create')->name('offer.create');

  Route::post('offer/insert', 'offercontroller@insert')->name('offer.insert');

  Route::get('offer/view/{id?}', 'offercontroller@view')->name('offer.view');

  Route::get('offer/edit/{id?}', 'offercontroller@edit')->name('offer.edit');

  Route::patch('offer/update', 'offercontroller@update')->name('offer.update');

  Route::post('offer/change-status', 'offercontroller@change_status')->name('offer.change.status');

  route::post('offer/import','offercontroller@import')->name('offer.import');

  Route::get('offer/export/{slug?}','offercontroller@export')->name('offer.export');

  Route::get('offer/car_vin_asper_variant', 'offercontroller@car_vin_asper_variant')->name('offer/car_vin_asper_variant'); 

  Route::get('offer/ex_price_asper_vin', 'offercontroller@ex_price_asper_vin')->name('offer/ex_price_asper_vin'); 

/* offer */


    /* New Discount Module For OBF */
    
        Route::any('discount', 'discountcontroller@index')->name('discount');

        Route::get('discount/create', 'discountcontroller@create')->name('discount.create');
    
        Route::post('discount/insert', 'discountcontroller@insert')->name('discount.insert');
    
        Route::get('discount/view/{id?}', 'discountcontroller@view')->name('discount.view');
    
        Route::get('discount/edit/{id?}', 'discountcontroller@edit')->name('discount.edit');
    
        Route::patch('discount/update', 'discountcontroller@update')->name('discount.update');
    
        Route::post('discount/change-status', 'discountcontroller@change_status')->name('discount.change.status');
    
        Route::post('discount/import','discountcontroller@import')->name('discount.import');
    
        Route::get('discount/export/{slug?}','discountcontroller@export')->name('discount.export');


 /** global-configuration */

        Route::any('global-configuration', 'GlobalConfigController@index')->name('global-configuration');

        Route::get('global-configuration/view/{id?}', 'GlobalConfigController@view')->name('global-configuration.view');

        Route::get('global-configuration/create', 'GlobalConfigController@create')->name('global-configuration.create');

        Route::post('global-configuration/insert', 'GlobalConfigController@insert')->name('global-configuration.insert');        

         Route::post('global-configuration/change-status', 'GlobalConfigController@change_status')->name('global-configuration.change.status');

              

       /** global-configuration */

       

   

   

    Route::any('change/password', 'UserController@change_password_form')->name('change_password');

    Route::post('change/password/save', 'UserController@change_password_save')->name('change_password.save');   

     Route::any('vendor/change/password', 'VendorController@change_password_form')->name('vendor.change_password');

         Route::any('change/password/login', 'UserController@change_password_form_user')->name('change_password_user');

    Route::post('change/password/save/login', 'UserController@change_password_user_save')->name('change_password_user.save'); 

    Route::post('vendor/change/password/save', 'VendorController@change_password_save')->name('vendor.change_password.save'); 

    Route::any('ticket/create', 'TicketController@create')->name('add_ticket');

     Route::post('ticket/save', 'TicketController@ticket_save')->name('ticket.save');   

     Route::get('tickets', 'TicketController@index')->name('tickets');   

     Route::get('ticket/view/{id}', 'TicketController@view')->name('ticket.view');

     Route::get('ticket/edit/{id}', 'TicketController@edit')->name('ticket.edit');
    
     Route::post('ticket/update', 'TicketController@update')->name('ticket.update');
     
     Route::post('ticket/status-update', 'TicketController@status_update')->name('ticket.status.update');


    

       Route::any('notice/create', 'NoticeController@create')->name('add_notice');

     Route::post('notice/save', 'NoticeController@notice_save')->name('notice.save');   

   Route::get('notices', 'NoticeController@index')->name('notices');   

});

